[tool.poetry]
name = "ansible-bravebrowser"
version = "1.0.0"
description = "Installs Brave Browser on nearly any OS"
authors = ["Brian Zalewski <brian@megabyte.space>"]
license = "MIT"
readme = "README.md"
homepage = "https://megabyte.space"
documentation = "https://megabyte.space/docs/ansible/roles"
keywords = ["ansible", "ansible-role", "archlinux", "bat", "brave", "browser", "centos", "chromium", "cryptocurrency", "debian", "doctor", "fedora", "install", "installdoc", "installdoctor", "internet", "macos", "mblabs", "megabytelabs", "molecule", "professormanhattan", "role", "tor", "ubuntu", "washingtondc", "windows"]
include = ["CHANGELOG.md", "LICENSE"]
classifiers = [
  "Development Status :: 4 - Beta",
  "Development Status :: 5 - Production/Stable",
  "Environment :: Console",
  "Environment :: MacOS X",
  "Environment :: Web Environment",
  "Framework :: Ansible",
  "Framework :: Flake8",
  "Intended Audience :: Developers",
  "Intended Audience :: End Users/Desktop",
  "Intended Audience :: System Administrators",
  "License :: OSI Approved :: MIT License",
  "Natural Language :: English",
  "Operating System :: MacOS :: MacOS X",
  "Operating System :: MacOS",
  "Operating System :: Microsoft :: Windows :: Windows 10",
  "Operating System :: Microsoft :: Windows",
  "Operating System :: POSIX :: Linux",
  "Programming Language :: JavaScript",
  "Programming Language :: Other Scripting Engines",
  "Programming Language :: Other",
  "Programming Language :: Python :: 3 :: Only",
  "Programming Language :: Python :: 3.10",
  "Programming Language :: Python :: 3.11",
  "Programming Language :: Python :: 3.7",
  "Programming Language :: Python :: 3.8",
  "Programming Language :: Python :: 3.9",
  "Programming Language :: Python",
  "Programming Language :: Unix Shell",
  "Topic :: Desktop Environment",
  "Topic :: Documentation",
  "Topic :: Internet",
  "Topic :: Software Development :: Build Tools",
  "Topic :: Software Development :: Documentation",
  "Topic :: Software Development :: Libraries",
  "Topic :: Software Development",
  "Topic :: System :: Installation/Setup",
  "Topic :: Utilities"
]

[tool.poetry.dependencies]
python = ">=3.7.2,<4.0.0"
ansible-core = "^2.11.3"
docker = "^5.0.3"
python-vagrant = "^0.5.15"
pywinrm = ">=0.3.0"
requests-credssp = "^2.0.0"
sentry-sdk = "^1.10.1"
urllib3 = "^1.26.12"

# CLI tools normally installed by pipx
ansible-lint = { version = "<5.0.0", optional = true }
ansibler = { version = "*", optional = true }
black = { version = "^21.10b0", optional = true }
blocklint = { version = "^0.2.3", optional = true }
flake8 = { version = "^4.0.1", optional = true }
mod-ansible-autodoc = { version = "*", optional = true }
pre-commit-hooks = { version = "^4.0.1", optional = true }
proselint = { version = "^0.12.0", optional = true }
toml-sort = { version = "^0.19.0", optional = true }
yamllint = { version = "^1.26.3", optional = true }

# Semantic extras
pip = { version = "^21.3.0", optional = true }
setuptools = { version = "^58.2.0", optional = true }
twine = { version = "^3.8.0", optional = true }
wheel = { version = "^0.37.1", optional = true }

[tool.poetry.dev-dependencies]
apache-libcloud = "^3.4.1"
gcloud = "^0.18.3"
junit-xml = "^1.9"
molecule = "^3.5.2"
molecule-docker = "^1.1.0"
molecule-gce = "^0.3.1"
molecule-vagrant = "^0.6.3"
pycrypto = "^2.6.1"

[tool.poetry.extras]
cli = [
  "ansible-lint",
  "ansibler",
  "black",
  "blocklint",
  "flake8",
  "mod-ansible-autodoc",
  "pre-commit-hooks",
  "proselint",
  "toml-sort",
  "yamllint"
]
semantic = [
  "pip",
  "setuptools",
  "twine",
  "wheel"
]

[tool.poetry.urls]
"Bug Tracker" = "https://gitlab.com/megabyte-labs/ansible-roles/bravebrowser/-/issues"
"GitHub" = "https://github.com/megabyte-labs/ansible-bravebrowser"
"GitLab" = "https://gitlab.com/megabyte-labs/ansible-roles/bravebrowser"
"Open Collective" = "https://opencollective.com/megabytelabs"
"Patreon" = "https://www.patreon.com/ProfessorManhattan"
"Give Directly" = "https://givedirectly.org"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
